Summary:	A set of GNU Interactive Tools
Name: 		git
Version:	4.3.20
Release:	%mkrel 14
License:	GPLv2+
Group:		File tools
URL:		http://www.hulubei.net/tudor/git
Source: 	ftp://ftp.gnu.org/pub/gnu/git/git-%{version}.tar.gz
Patch:		git-Makefile-fixes.patch
Buildroot: 	%{_tmppath}/%{name}-root
BuildRequires:	ncurses-devel
BuildRequires:	tetex
BuildRequires:	texinfo

%description
GIT (GNU Interactive Tools) provides an extensible file system browser,
an ASCII/hexadecimal file viewer, a process viewer/killer and other
related utilities and shell scripts.  GIT can be used to increase the
speed and efficiency of copying and moving files and directories, invoking
editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more.  GIT uses standard
ANSI color sequences, if they are available.  

You should install the git package if you are interested in using its file
management capabilities.

%prep
%setup -q
%patch -p1

%build
#
# (fg) 20000721 FIXME - git doesn't like libtoolize, hence the handmade
# ./configure line
#
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS='-s' ./configure \
--prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --with-terminfo --libdir=%{_libdir} --enable-smp
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1,%{_datadir}}
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT/usr/doc/git-4.3.20/git.html

%files
%defattr(-,root,root,0755)
%doc ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/git.html
%{_bindir}/*
%{_bindir}/.gitaction
%{_mandir}/man1/*
%{_infodir}/*
%dir %{_datadir}/git
%{_datadir}/git/.gitrc*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_install_info git.info}

%preun
%{_remove_install_info git.info}



%changelog
* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 4.3.20-14mdv2008.0
+ Revision: 91265
- rebuild for 2008


* Sat Nov 04 2006 Stefan van der Eijk <stefan@mandriva.org> 4.3.20-13mdv2007.0
+ Revision: 76519
- rebuild for signature
- rebuild
- Import git

* Wed Sep 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.3.20-14mdv2007.0
- Use mkrel
- Rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.3.20-10mdk
- Rebuild

